View Issue Details

IDProjectCategoryView StatusLast Update
0038296LazarusIDEpublic2021-04-06 05:54
ReporterBambang Pranoto Assigned ToMichl  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformLinuxOSubuntu  
Product Version2.0.10 
Fixed in Version2.1 (SVN) 
Summary0038296: IDE with AnchorDockingDesgn cannot close cloned source editor
DescriptionWith lazarus ide compiled with AnchorDockingDsgn, I cannot delete cloned source editor. Pressing the Close control button just brings to back the windows, but the cloned source editor still exists

On plain ide without AnchorDockingDsgn, the cloned source editor can be closed.
Steps To Reproduce1. Install AnchorDockingDsgn package to make the IDE docked.
2. On the source editor, right click on file name tab and click "Clone to New Window"
3. A cloned source editor will created.
4. Try to close the cloned source editor, it will go to the background, but it will be still there.
TagsNo tags attached.
Fixed in Revision64798, 64805, 64813, 64815
LazTarget-
Widgetset
Attached Files

Relationships

related to 0038699 resolvedMichl IDE with installed AnchorDockingDsgn throws AV when unit is cloned in SourceEditor to new SourceEditor 

Activities

Michl

2021-03-13 23:50

developer   ~0129638

Fixed in Trunk revision 64798. Tested on Windows7, Linux Mint KDE GTK2, Qt.

You have now a option "Free window on close". If you enable it, the source editor window is now closed.

Please try and close if ok.

Andrey Zubarev

2021-03-14 20:53

reporter   ~0129666

Last edited: 2021-03-14 20:53

View 2 revisions

This break docking (closed window not remove spliters if "free window on close" set to true) see components\anchordocking\minide
Tested in windows

Maxim Ganetsky

2021-03-14 21:39

developer   ~0129667

In addition to previous comment, I have a question.

Are you really sure that "Free window on close" should be an option at all? Sounds like it is exposing internal implementation detail.

Michl

2021-03-14 22:33

developer   ~0129670

> This break docking (closed window not remove spliters if "free window on close" set to true) see components\anchordocking\minide
> Tested in windows

Thank you for that hint! I was mainly focused on Lazarus. I see it.


> Are you really sure that "Free window on close" should be an option at all? Sounds like it is exposing internal implementation detail.

I think, I can fix this issue without that option, but if you want to open a window what is really "new", how do you make it without such a option? You always got the hidden window reopened. In Source Editor this behaviour was implemented before - it is freed e.g. when there is just one file opened or user want it.

Maxim Ganetsky

2021-03-14 23:22

developer   ~0129674

> but if you want to open a window what is really "new", how do you make it without such a option?

What does this option change in behavior from the user's POV? In which cases should user switch it off? Should he at all?

Anyway, it seems to me that this option either should be reworded to reflect its behavior from the user's POV or removed (replaced by some menu item "Open new" or something). IMO normal users won't be able to understand its meaning in the current form.

Michl

2021-03-15 01:27

developer   ~0129675

> Anyway, it seems to me that this option either should be reworded to reflect its behavior from the
> user's POV or removed (replaced by some menu item "Open new" or something). IMO normal users
> won't be able to understand its meaning in the current form.

Yes, you are right! That behaviour is not clear for end user and open a new clean window can be organized otherwise. I reverted all these changes in revision 64813.

Michl

2021-03-15 01:29

developer   ~0129676

I fixed the issue in a other way in revision 64815.

@Andrey Zubarev: Can you please test?

Andrey Zubarev

2021-03-15 06:39

reporter   ~0129677

Yes, AnchorDocking now work. Thanks!

Michl

2021-03-15 09:26

developer   ~0129679

@Andrey Zubarev and Maxim Ganetsky: Thank you for testing and pushing me in the right direction!

@Bambang Pranoto: Please test with Lazarus Trunk and close if OK.

Bambang Pranoto

2021-04-06 05:54

reporter   ~0130129

Yes, it works in the trunk version.

Issue History

Date Modified Username Field Change
2021-01-03 03:30 Bambang Pranoto New Issue
2021-03-13 23:35 Michl Assigned To => Michl
2021-03-13 23:35 Michl Status new => assigned
2021-03-13 23:39 Michl Fixed in Revision => 64798
2021-03-13 23:39 Michl LazTarget => -
2021-03-13 23:50 Michl Status assigned => resolved
2021-03-13 23:50 Michl Resolution open => fixed
2021-03-13 23:50 Michl Fixed in Version => 2.1 (SVN)
2021-03-13 23:50 Michl Note Added: 0129638
2021-03-14 14:44 Michl Fixed in Revision 64798 => 64798, 64805
2021-03-14 20:53 Andrey Zubarev Note Added: 0129666
2021-03-14 20:53 Andrey Zubarev Note Edited: 0129666 View Revisions
2021-03-14 21:35 Maxim Ganetsky Status resolved => assigned
2021-03-14 21:35 Maxim Ganetsky Resolution fixed => open
2021-03-14 21:39 Maxim Ganetsky Note Added: 0129667
2021-03-14 22:33 Michl Note Added: 0129670
2021-03-14 23:22 Maxim Ganetsky Note Added: 0129674
2021-03-15 01:27 Michl Note Added: 0129675
2021-03-15 01:29 Michl Note Added: 0129676
2021-03-15 01:29 Michl Fixed in Revision 64798, 64805 => 64798, 64805, 64813, 64815
2021-03-15 01:29 Michl Status assigned => feedback
2021-03-15 06:39 Andrey Zubarev Note Added: 0129677
2021-03-15 09:26 Michl Status feedback => resolved
2021-03-15 09:26 Michl Resolution open => fixed
2021-03-15 09:26 Michl Note Added: 0129679
2021-04-03 23:14 Michl Relationship added related to 0038699
2021-04-06 05:54 Bambang Pranoto Status resolved => closed
2021-04-06 05:54 Bambang Pranoto Note Added: 0130129